<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal">

    <com.wasu.cs.widget.BlockLinearLayout
        android:id="@+id/focus_search_layout"
        android:layout_width="@dimen/d_355dp"
        android:layout_height="match_parent"
        android:background="@color/children_song_tab_bg"
        android:descendantFocusability="afterDescendants"
        android:orientation="vertical">

        <View
            android:id="@+id/arrow_up"
            android:layout_width="@dimen/d_36dp"
            android:layout_height="@dimen/d_20dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="@dimen/d_35dp"
            android:layout_marginTop="@dimen/d_73dp"
            android:background="@drawable/arrow_up"
            android:visibility="invisible" />

        <com.wasu.cs.widget.CenterRecyclerView
            android:id="@+id/tab_recyclerview"
            android:layout_width="@dimen/d_282dp"
            android:layout_height="@dimen/d_470dp"
            android:layout_marginLeft="@dimen/d_73dp"
            android:clipToPadding="false"
            android:clipChildren="false"
            android:paddingBottom="@dimen/d_6dp"
            android:descendantFocusability="beforeDescendants" />

        <View
            android:id="@+id/arrow_down"
            android:layout_width="@dimen/d_36dp"
            android:layout_height="@dimen/d_20dp"
            android:layout_gravity="center_horizontal|bottom"
            android:layout_marginTop="@dimen/d_28dp"
            android:background="@drawable/arrow_down"
            android:visibility="invisible" />
    </com.wasu.cs.widget.BlockLinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/search_iv"
            android:layout_width="@dimen/d_74dp"
            android:layout_height="@dimen/d_74dp"
            android:layout_gravity="right"
            android:layout_marginRight="@dimen/d_100dp"
            android:layout_marginTop="@dimen/d_20dp"
            android:background="@drawable/children_home_icon_sel"
            android:padding="@dimen/d_12dp"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:src="@drawable/children_search_icon" />

        <ImageView
            android:id="@+id/favorite_iv"
            android:layout_width="@dimen/d_74dp"
            android:layout_height="@dimen/d_74dp"
            android:layout_gravity="right"
            android:layout_marginRight="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_20dp"
            android:padding="@dimen/d_12dp"
            android:background="@drawable/children_home_icon_sel"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:src="@drawable/children_fav_icon" />


        <Button
            android:id="@+id/last_set_btn"
            android:layout_width="@dimen/d_134dp"
            android:layout_height="@dimen/d_47dp"
            android:layout_marginLeft="@dimen/d_134dp"
            android:layout_marginTop="@dimen/d_126dp"
            android:background="@drawable/selector_children_song_video_button"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:paddingBottom="@dimen/d_2dp"
            android:text="@string/last_set"
            android:textColor="@color/selector_children_song_tab_item_text"
            android:textSize="@dimen/d_24dp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/next_set_btn"
            android:layout_width="@dimen/d_134dp"
            android:layout_height="@dimen/d_47dp"
            android:layout_marginLeft="@dimen/d_308dp"
            android:layout_marginTop="@dimen/d_126dp"
            android:background="@drawable/selector_children_song_video_button"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:paddingBottom="@dimen/d_2dp"
            android:text="@string/next_set"
            android:textColor="@color/selector_children_song_tab_item_text"
            android:textSize="@dimen/d_24dp"
            android:textStyle="bold" />

        <RelativeLayout
            android:layout_width="@dimen/d_134dp"
            android:layout_height="@dimen/d_47dp"
            android:layout_marginLeft="@dimen/d_482dp"
            android:layout_marginTop="@dimen/d_126dp"
            android:descendantFocusability="afterDescendants">

            <Button
                android:id="@+id/detail_btn"
                android:layout_width="@dimen/d_134dp"
                android:layout_height="@dimen/d_47dp"
                android:background="@drawable/selector_children_song_video_button"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:paddingBottom="@dimen/d_2dp"
                android:paddingLeft="@dimen/d_22dp"
                android:text="@string/detail"
                android:textColor="@color/selector_children_song_tab_item_text"
                android:textSize="@dimen/d_24dp"
                android:textStyle="bold" />

            <View
                android:id="@+id/detail_icon"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginLeft="@dimen/d_26dp"
                android:layout_marginTop="@dimen/d_12dp"
                android:background="@drawable/selector_children_song_detail_icon" />
        </RelativeLayout>

        <LinearLayout
            android:id="@+id/fav_btn"
            android:layout_width="@dimen/d_134dp"
            android:layout_height="@dimen/d_47dp"
            android:layout_marginLeft="@dimen/d_656dp"
            android:layout_marginTop="@dimen/d_126dp"
            android:background="@drawable/selector_children_song_video_button"
            android:descendantFocusability="blocksDescendants"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center"
            android:orientation="horizontal">

            <View
                android:id="@+id/fav_icon"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:background="@drawable/selector_children_song_fav_icon" />

            <TextView
                android:id="@+id/fav_text"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/d_47dp"
                android:gravity="center"
                android:paddingBottom="@dimen/d_4dp"
                android:text="@string/child_fav"
                android:textColor="@color/selector_children_song_button_text"
                android:textSize="@dimen/d_24dp"
                android:textStyle="bold" />

        </LinearLayout>

        <com.wasu.cs.widget.videoview.DummySurfaceView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:focusable="false" />

        <ImageView
            android:id="@+id/child_player_win_iv"
            android:layout_width="@dimen/d_860dp"
            android:layout_height="@dimen/d_510dp"
            android:layout_marginLeft="@dimen/d_42dp"
            android:layout_marginTop="@dimen/d_174dp" />

        <RelativeLayout
            android:id="@+id/player_group"
            android:layout_width="@dimen/d_730dp"
            android:layout_height="@dimen/d_396dp"
            android:layout_marginLeft="@dimen/d_100dp"
            android:layout_marginTop="@dimen/d_220dp"
            android:nextFocusRight="@id/player_group"
            android:descendantFocusability="blocksDescendants"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:measureAllChildren="false">
        </RelativeLayout>

    </FrameLayout>

</LinearLayout>